import { Observable } from './util/Observable';
import { ApolloQueryResult } from './index';
import { WatchQueryOptions } from './watchQueryOptions';
import { QueryManager } from './QueryManager';
export declare class ObservableQuery extends Observable<ApolloQueryResult> {
    refetch: (variables?: any) => Promise<ApolloQueryResult>;
    stopPolling: () => void;
    startPolling: (p: number) => void;
    options: WatchQueryOptions;
    queryManager: QueryManager;
    queryId: string;
    constructor({queryManager, options, shouldSubscribe}: {
        queryManager: QueryManager;
        options: WatchQueryOptions;
        shouldSubscribe?: boolean;
    });
    result(): Promise<ApolloQueryResult>;
}
